Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.multimedia
Class MediaClipSection

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.multimedia.MediaClip
              org.pdfclown.documents.multimedia.MediaClipSection

All Implemented Interfaces:
  Cloneable, IPdfObjectWrapper

    @PDF(value=PDF15)
    public final class MediaClipSection

extends MediaClip

Media clip section [PDF:1.7:9.1.3].

Since:
  0.1.2
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Constructor Summary
`MediaClipSection(Document context)`

Method Summary
`MediaClipSection` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`PdfObjectWrapper<?>` | `getData()` Gets the actual media data.

Methods inherited from class org.pdfclown.documents.multimedia.MediaClip
`wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, delete, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaClipSection

    public MediaClipSection(Document context)

Method Detail

### clone

    public MediaClipSection clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `PdfObjectWrapper<PdfDictionary>`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getData

    public PdfObjectWrapper<?> getData()

  Description copied from class: `MediaClip`
  Gets the actual media data.

  Specified by:
    `getData` in class `MediaClip`
  Returns:
    Either a `FullFileSpecification`} or a `FormXObject`}.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.